#
# spec file for package perl-Test-Script
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           perl-Test-Script
%define cpan_name Test-Script
Summary:        Basic cross-platform tests for scripts
Version:        1.07
Release:        26.2
License:        GPL-1.0+ or Artistic-1.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Test-Script/
#Source:         http://www.cpan.org/modules/by-module/Test/Test-Script-%{version}.tar.gz
Source:         %{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(File::Spec) >= 0.80
BuildRequires:  perl(IPC::Run3) >= 0.034
BuildRequires:  perl(Probe::Perl) >= 0.01
BuildRequires:  perl(Test::More) >= 0.62
BuildRequires:  perl(Test::Builder) >= 0.32
BuildRequires:  perl(Test::Builder::Tester) >= 1.02
#
Requires:       perl(File::Spec) >= 0.80
Requires:       perl(IPC::Run3) >= 0.034
Requires:       perl(Probe::Perl) >= 0.01

%description
The intent of this module is to provide a series of basic tests for 80% of
the testing you will need to do for scripts in the script (or bin as is
also commonly used) paths of your Perl distribution.

Author:
-------
     Adam Kennedy <adamk@cpan.org>

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{__make} %{?_smp_mflags}

# FIXME test 03,05 failing for SLE_10
%if 0%{?suse_version} > 1020

%check
%{__make} test
%endif

%install
%perl_make_install
# do not perl_process_packlist (noarch)
# remove .packlist file
%{__rm} -rf $RPM_BUILD_ROOT%perl_vendorarch
# remove perllocal.pod file
%{__rm} -rf $RPM_BUILD_ROOT%perl_archlib
%perl_gen_filelist

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files -f %{name}.files
%defattr(-,root,root,-)
%doc Changes LICENSE README

%changelog
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Tue Jul 13 2010 chris@computersalat.de
- recreated by cpanspec 1.78
- noarch package
- enable check for suse_version > 1020 only
* Thu Mar  4 2010 chris@computersalat.de
- cleanup spec
- fixed deps
- added perl-macros
  o perl_gen_filelist
* Mon Feb  8 2010 larry+opensuse@l2g.to
- More cleanup for openSUSE packaging
* Mon Jan 25 2010 anicka@suse.cz
- clean Requires
